/*  CodeEdit -:-  (C)opyright 2001-2002 Andreas Engh-Halstvedt
 *  AEdit -:-     (C)opyright 2000-2002 Kristian Van Der Vliet
 *  AEdit -:-     (C)opyright 2004-2006 Jonas Jarvoll
 *  CodeEdit -:-  (C)opyright 2011-2012 David Kent
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details. 
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 */

#ifndef __MYTABVIEW_H
#define __MYTABVIEW_H

#include <gui/rect.h>
#include <gui/view.h>
#include <gui/point.h>
#include <gui/tabview.h>
#include <util/message.h>


class AppWindow;

class MyTabView : public os::TabView
{
public:
  	MyTabView( const os::Rect& cFrame, AppWindow* pcMain );

	void Paint( const os::Rect& cUpdate );
	void MouseUp( const os::Point& cPosition, uint32 nButtons, os::Message* pcData );

private:
	AppWindow* pcAppWindow;
};

#endif /* __MYTABVIEW_H_ */
