/*  CodeEdit -:-  (C)opyright 2001-2002 Andreas Engh-Halstvedt
 *  AEdit -:-     (C)opyright 2000-2002 Kristian Van Der Vliet
 *  AEdit -:-     (C)opyright 2004-2006 Jonas Jarvoll
 *  CodeEdit -:-  (C)opyright 2011-2012 David Kent
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details. 
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 */

#ifndef __VERSION_H_
#define __VERSION_H_

#include <util/string.h>

#define VERSION_MAJOR		os::String("2")
#define VERSION_MINOR		os::String("3")
#define VERSION_STRING		VERSION_MAJOR + os::String(".") + VERSION_MINOR

#define APP_TITLE_STRING	os::String("CodeEdit")
#define APP_VERSION_STRING	APP_TITLE_STRING + os::String(" ") + VERSION_STRING
#define APP_DATE_STRING		os::String( os::String("Build: ") + os::String("Tue May 28 06:56:49 2013") )
#define APP_RELEASE_STRING	APP_VERSION_STRING + os::String("\n") + APP_DATE_STRING
#define APP_DESC_STRING		os::String("Syllable Programmer's Text Editor")
#define APP_CREDIT_STRING	os::String("(C)opyright 2001-2002 Andreas Engh-Halstvedt") + os::String("\n") + os::String("(C)opyright 2000-2002 Kristian Van Der Vliet") + os::String("\n") + os::String("(C)opyright 2004-2006 Jonas Jarvoll") + os::String("\n") + os::String("(C)opyright 2009-2012 David Kent")
#define APP_GPL_STRING		os::String(APP_TITLE_STRING + os::String(" is released under the GNU General Public License.") + os::String("\n") + os::String("Please see the file COPYING, distributed with ") + APP_TITLE_STRING + os::String(", or http://www.gnu.org") + os::String("\n") + os::String("for more information."))
#define APP_LABEL_STRING	os::String("About ") + APP_TITLE_STRING + os::String("...")

#endif /* __VERSION_H_ */
